# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pygrace
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		python-module-pygrace
Version:	0.4
Release:	alt1_8
Summary:	Python bindings for grace
Group:		Engineering
License:	GPLv2+ and MIT
URL:		http://www.its.caltech.edu/~mmckerns/software.html
Source0:	http://www.its.caltech.edu/~mmckerns/%{oldname}-%{version}.tgz
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-module-setuptools
BuildRequires: python-module-numpy python-module-numpy-addons python-module-numpy-testing

Requires:	grace
Source44: import.info

%description
Python bindings for grace, based on Nathan Gray's gracePlot.

%prep
%setup -n %{oldname}-%{version} -q
# Get rid of library shebangs
for file in *.py; do
 sed -i '/\/usr\/bin\/env/d' $file
done

%build
python -c 'import setuptools; execfile("setup.py")' build

%install
python -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%doc README.txt tests examples
%{python_sitelibdir_noarch}/%{oldname}/
%{python_sitelibdir_noarch}/%{oldname}-*.egg-info/

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_8
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_7
- initial fc import

